Redmine - Feature #12844

Allow upper-case letters in project identifiers
2013-01-14 16:04 - Arnaud GUT

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Project settings Estimated time: 0.00 hour

Target version:

Resolution:

Description

I'm currently synchronizing a lot of projects into Redmine with another application, and | have to flatten all source projects identifiers
(which use mixed case) to all lowercase. The problem is that in some cases those names are used on the file system, and all my
servers are Unix. Thus file paths end all wrong.

| was wondering if the project identifier constraint could be relaxed a bit and accept both upper and lower case letters ?
BTW: there might be a small bug in the automatic identifier generation at project creation time, where underscores becomes dashes

instead of staying as underscores.
Arnaud GUT

Related issues:
Related to Redmine - Feature #13824: Project identifier for greek + cyrillic ... New

History

#1 - 2013-01-15 21:47 - Jean-Philippe Lang
Arnaud GUT wrote:

| was wondering if the project identifier constraint could be relaxed a bit and accept both upper and lower case letters ?
That seems reasonable.
BTW: there might be a small bug in the automatic identifier generation at project creation time, where underscores becomes dashes instead of

staying as underscores.

Fixed in r11195. Thanks for pointing this out.

#2 - 2013-01-15 21:47 - Jean-Philippe Lang

- Subject changed from Relaxing project identifier constraints (a bit) to Allow upper-case letters in project identifiers

#3 - 2013-01-16 12:44 - Arnaud GUT

When this could be implemented as it seems to not be a huge modification (a priori !)?
If you prefer, answer on my private mail.

#4 - 2014-01-23 21:43 - Patrick O'Keeffe

This shouldn't be difficult to implement:

root/trunk/public/javascripts/project_identifier.js | line 54:

- identifier identifier.replace(/["a-2z0-9_]+/gi, '-'); // remaining non-alphanumeric => hyphen

+ identifier = identifier.replace(/["a-zA-20-9_]+/gi, '-'); // remaining non-alphanumeric => hyphen
Note: | don't know if/how this change might affect other components.

#5 - 2014-01-24 08:05 - Daniel Felix

What is the use case behind this? What benefit do you get from uppercase identifiers and uppercase URL's? Mostly this makes more problems than
uses?

How do you plan to handle Identifieres like "Redmine", "redmine" and "RedMine"? They could occur, but the url is in this cases case insensitive.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11195

#6 - 2014-01-31 09:40 - Vincent Caron

The use case was one where we would synchronize a repository hierarchy (a Hg repository managed by RhodeCode to be more precise) with a
project hierarchy within Redmine. On the repository side, the URLs are built to map the filesystem which is case sensitive under Unix. Once the
names were flatten as lowercase Redmine-project-IDs it became impossible to reverse-map those IDs to proper repository paths.

We (Arnaud and 1) don't rely on this use case anymore, this ticket may be closed as far as I'm concerned.

#7 - 2017-03-29 06:18 - Go MAEDA

- Related to Feature #13824: Project identifier for greek + cyrillic glyphs added
